Bug 509593 - 4 core x86_64 not fast enough to sox -t alsa hw:1 -t alsa hw:0!?
4 core x86_64 not fast enough to sox -t alsa hw:1 -t alsa hw:0!?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-03 17:17 EDT by Christopher Caldwell
Modified: 2012-08-16 14:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:27:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Caldwell 2009-07-03 17:17:31 EDT
Description of problem:
I have a bt848 tuner, and a Gateway DX4200-08 (AMD Phenom X4 9100e / 1.8 GHz with 4GB Ram and sound integrated onto the motherboard).  I believe the motherboard's sound controller IDs as snd_hda_intel and snd_hda_codec>

Version-Release number of selected component (if applicable):


How reproducible:

Problem occurs within milliseconds of invoking the command

Steps to Reproduce:
1. Use TVtime or similar program to tune up a TV channel
2. Type "sox -t alsa hw:1 -t alsa hw:0"
3. You can actually exit tvtime, since it isn't part of the problem
  
Actual results:

Very choppy sound, more off than on.

Expected results:

A steady sound track from whatever channel you tuned in

Additional info:

Its better (less choppy) if you use /dev/dsp1 to /dev/dsp.  Interestingly, even the lower default rate (32000) is more choppy than dsp at its default of 48000.

I think this is the tip of the iceberg.  I made the mistake of upgrading hardware and software at the same time, but in my previous, much slower machine with less RAM, I had no problems doing this, but that was under FC9.

I've had similar problems with "mplayer" and "mencoder" and am occasionally getting the kernel messages:

ALSA sound/core/pcm_lib.c:1626: capture write error (DMA or IRQ trouble?)
ALSA sound/core/pcm_lib.c:1626: capture write error (DMA or IRQ trouble?)
compat_ioctl32: unknown ioctl 'V', dir=2, #0 (0x80585600)
compat_ioctl32: unknown ioctl 'V', dir=2, #0 (0x80585600)

I *AM* able to get a fairly good capture from the bt848 *WITH* video with
streamer -q -o new.avi -f mjpeg -F stereo -c /dev/video0 -C /dev/dsp1 -R 32000 -r 20 -s 640x480 -t 1:00:00 -j 100

though it generates a ton of "fifo audio is full" and "rate: queuueing frame twice" errors.

I have not tried this in 32-bit mode yet.
Comment 1 Christopher Caldwell 2009-07-06 23:42:46 EDT
Its even better if you use alsa *AND* oss.  That is, the least chop comes from doing something like:

    sox -t alsa hw:1 -t ossdsp /dev/dsp

or

    sox -t ossdsp /dev/dsp1 -t alsa hw:0

When things were working well under FC9, I was using oss completely.
Comment 2 Jiri Moskovcak 2009-07-08 05:11:23 EDT
It seems more like alsa problem -> reassigning
Comment 3 Bug Zapper 2009-11-16 05:37:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-11-04 06:52:20 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Christopher Caldwell 2010-11-13 14:19:53 EST
As of the latest and greatest FC13:

    sox -q -t ossdsp /dev/dsp1 -t ossdsp /dev/dsp

works (though it seems to be about a second behind).

    sox -q -t alsa hw:1 -t alsa hw:0

repeats the message:

    sox WARN alsa: over-run

over and over as fast as it can.
Comment 6 Christopher Caldwell 2010-11-13 14:20:20 EST
Changing to "Fc13"
Comment 7 Bug Zapper 2011-06-02 13:58:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Christopher Caldwell 2011-06-04 21:33:41 EDT
Yup, it's still a problem.

As of the latest and greatest FC14 (as well as FC13):

    sox -q -t ossdsp /dev/dsp1 -t ossdsp /dev/dsp

works.

    sox -q -t alsa hw:1 -t alsa hw:0

repeats the message:

    sox WARN alsa: over-run

over and over as fast as it can.

In short, nothing has changed.
Comment 9 Fedora End Of Life 2012-08-16 14:27:57 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.